%{?mingw_package_header}

%global pkgname poppler

Name:          mingw-%{pkgname}
Version:       0.62.0
Release:       3%{?dist}
Summary:       MinGW Windows Poppler library

License:       (GPLv2 or GPLv3) and GPLv2+ and LGPLv2+ and MIT
BuildArch:     noarch
URL:           http://poppler.freedesktop.org/
Source0:       http://poppler.freedesktop.org/%{pkgname}-%{version}.tar.xz

# Downstream fix for CVE-2017-9083 (#1453200)
Patch0:        poppler_CVE-2017-9083.patch
# Backport fix for CVE-2017-18267
# https://gitlab.freedesktop.org/poppler/poppler/commit/60b4fe65bc9dc9b82bbadf0be2e3781be796a13d
Patch1:        poppler_CVE-2017-18267.patch
# Backport fix for CVE-2018-13988
# https://gitlab.freedesktop.org/poppler/poppler/commit/004e3c10df0abda214f0c293f9e269fdd979c5ee
Patch2:        poppler_CVE-2018-13988.patch
# Backport fix for CVE-2018-16646
# https://gitlab.freedesktop.org/poppler/poppler/commit/3d35d209c19c1d3b09b794a0c863ba5de44a9c0a
# https://gitlab.freedesktop.org/poppler/poppler/commit/89fccf45fc5bfca3756102e6bec1950ec1d436a9
# https://gitlab.freedesktop.org/poppler/poppler/commit/08572e1bdca03baed694dd9828bb2b878865e669
Patch3:        poppler_CVE-2018-16646.patch
# Backport fix for CVE-2018-19058
# https://gitlab.freedesktop.org/poppler/poppler/commit/6912e06d9ab19ba28991b5cab3319d61d856bd6d
Patch4:        poppler_CVE-2018-19058.patch
# Backport fix for CVE-2018-19059
# https://gitlab.freedesktop.org/poppler/poppler/commit/77a30e94d96220d7e22dff5b3f0a7f296f01b118
Patch5:        poppler_CVE-2018-19059.patch
# Backport fix for CVE-2018-19060
# https://gitlab.freedesktop.org/poppler/poppler/commit/d2f5d424ba8752f9a9e9dad410546ec1b46caa0a
Patch6:        poppler_CVE-2018-19060.patch
# Backport fix for CVE-2018-19149
# https://gitlab.freedesktop.org/poppler/poppler/commit/f162ecdea0dda5dbbdb45503c1d55d9afaa41d44
Patch7:        poppler_CVE-2018-19149.patch
# Backport fix for CVE-2019-7310 (#1672419)
Patch8:        poppler_CVE-2019-7310.patch

BuildRequires: cmake
BuildRequires: gettext-devel
BuildRequires: perl(File::Temp)

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc
BuildRequires: mingw32-libjpeg-turbo
BuildRequires: mingw32-libtiff
BuildRequires: mingw32-openjpeg2
BuildRequires: mingw32-cairo
BuildRequires: mingw32-gtk3
BuildRequires: mingw32-lcms2
BuildRequires: mingw32-qt5-qtbase-devel

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc
BuildRequires: mingw64-libjpeg-turbo
BuildRequires: mingw64-libtiff
BuildRequires: mingw64-openjpeg2
BuildRequires: mingw64-cairo
BuildRequires: mingw64-gtk3
BuildRequires: mingw64-lcms2
BuildRequires: mingw64-qt5-qtbase-devel


%description
MinGW Windows Poppler library.

###############################################################################

%package -n mingw32-%{pkgname}
Summary:       MinGW Windows Poppler library
Obsoletes:     mingw32-%{pkgname}-static

%description -n mingw32-%{pkgname}
MinGW Windows Poppler library.

###############################################################################

%package -n mingw32-%{pkgname}-glib
Summary:       MinGW Windows Poppler-Glib library
Requires:      mingw32-%{pkgname} = %{version}-%{release}
Obsoletes:     mingw32-%{pkgname}-glib-static

%description -n mingw32-%{pkgname}-glib
MinGW Windows Poppler-Glib library.

###############################################################################

%package -n mingw32-%{pkgname}-qt5
Summary:       MinGW Windows Poppler-Qt5 library
Requires:      mingw32-%{pkgname} = %{version}-%{release}
Obsoletes:     mingw32-%{pkgname}-qt5-static

%description -n mingw32-%{pkgname}-qt5
MinGW Windows Poppler-Qt5 library.

###############################################################################

%package -n mingw32-%{pkgname}-cpp
Summary:       MinGW Windows C++ Poppler library
Requires:      mingw32-%{pkgname} = %{version}-%{release}
Obsoletes:     mingw32-%{pkgname}-cpp-static

%description -n mingw32-%{pkgname}-cpp
MinGW Windows C++ Poppler library.

###############################################################################

%package -n mingw64-%{pkgname}
Summary:       MinGW Windows Poppler library
Obsoletes:     mingw64-%{pkgname}-static

%description -n mingw64-%{pkgname}
MinGW Windows Poppler library.

###############################################################################

%package -n mingw64-%{pkgname}-glib
Summary:       MinGW Windows Poppler-Glib library
Requires:      mingw64-%{pkgname} = %{version}-%{release}
Obsoletes:     mingw64-%{pkgname}-glib-static

%description -n mingw64-%{pkgname}-glib
MinGW Windows Poppler-Glib library.

###############################################################################

%package -n mingw64-%{pkgname}-qt5
Summary:       MinGW Windows Poppler-Qt5 library
Requires:      mingw64-%{pkgname} = %{version}-%{release}
Obsoletes:     mingw64-%{pkgname}-qt5-static

%description -n mingw64-%{pkgname}-qt5
MinGW Windows Poppler-Qt5 library.

###############################################################################

%package -n mingw64-%{pkgname}-cpp
Summary:       MinGW Windows C++ Poppler library
Requires:      mingw64-%{pkgname} = %{version}-%{release}
Obsoletes:     mingw64-%{pkgname}-cpp-static

%description -n mingw64-%{pkgname}-cpp
MinGW Windows C++ Poppler library.

###############################################################################

%{?mingw_debug_package}


%prep
%autosetup -p1 -n %{pkgname}-%{version}


%build
%mingw_cmake \
  -DENABLE_CMS=lcms2 \
  -DENABLE_DCTDECODER=libjpeg \
  -DENABLE_LIBOPENJPEG=openjpeg2 \
  -DENABLE_XPDF_HEADERS=ON \
  -DENABLE_ZLIB=OFF \

%mingw_make %{?_smp_mflags} V=1


%install
%mingw_make DESTDIR=%{buildroot} install

# Delete *.la files
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Delete man files
rm -rf %{buildroot}%{mingw32_mandir}
rm -rf %{buildroot}%{mingw64_mandir}

# Delete exe files
rm -f %{buildroot}%{mingw32_bindir}/*.exe
rm -f %{buildroot}%{mingw64_bindir}/*.exe


%files -n mingw32-%{pkgname}
%license COPYING
%doc README
%{mingw32_bindir}/libpoppler-73.dll
%{mingw32_includedir}/poppler/
%exclude %{mingw32_includedir}/poppler/cpp/
%exclude %{mingw32_includedir}/poppler/glib/
%exclude %{mingw32_includedir}/poppler/qt4/
%exclude %{mingw32_includedir}/poppler/qt5/
%{mingw32_libdir}/libpoppler.dll.a
%{mingw32_libdir}/pkgconfig/poppler.pc
%{mingw32_libdir}/pkgconfig/poppler-splash.pc

%files -n mingw32-%{pkgname}-glib
%{mingw32_bindir}/libpoppler-glib-8.dll
%{mingw32_includedir}/poppler/glib/
%{mingw32_libdir}/libpoppler-glib.dll.a
%{mingw32_libdir}/pkgconfig/poppler-glib.pc
%{mingw32_libdir}/pkgconfig/poppler-cairo.pc

%files -n mingw32-%{pkgname}-qt5
%{mingw32_bindir}/libpoppler-qt5-1.dll
%{mingw32_includedir}/poppler/qt5/
%{mingw32_libdir}/libpoppler-qt5.dll.a
%{mingw32_libdir}/pkgconfig/poppler-qt5.pc

%files -n mingw32-%{pkgname}-cpp
%{mingw32_bindir}/libpoppler-cpp-0.dll
%{mingw32_includedir}/poppler/cpp/
%{mingw32_libdir}/libpoppler-cpp.dll.a
%{mingw32_libdir}/pkgconfig/poppler-cpp.pc

%files -n mingw64-%{pkgname}
%license COPYING
%doc README
%{mingw64_bindir}/libpoppler-73.dll
%{mingw64_includedir}/poppler/
%exclude %{mingw64_includedir}/poppler/cpp/
%exclude %{mingw64_includedir}/poppler/glib/
%exclude %{mingw64_includedir}/poppler/qt4/
%exclude %{mingw64_includedir}/poppler/qt5/
%{mingw64_libdir}/libpoppler.dll.a
%{mingw64_libdir}/pkgconfig/poppler.pc
%{mingw64_libdir}/pkgconfig/poppler-splash.pc

%files -n mingw64-%{pkgname}-glib
%{mingw64_bindir}/libpoppler-glib-8.dll
%{mingw64_includedir}/poppler/glib/
%{mingw64_libdir}/libpoppler-glib.dll.a
%{mingw64_libdir}/pkgconfig/poppler-glib.pc
%{mingw64_libdir}/pkgconfig/poppler-cairo.pc

%files -n mingw64-%{pkgname}-qt5
%{mingw64_bindir}/libpoppler-qt5-1.dll
%{mingw64_includedir}/poppler/qt5/
%{mingw64_libdir}/libpoppler-qt5.dll.a
%{mingw64_libdir}/pkgconfig/poppler-qt5.pc

%files -n mingw64-%{pkgname}-cpp
%{mingw64_bindir}/libpoppler-cpp-0.dll
%{mingw64_includedir}/poppler/cpp/
%{mingw64_libdir}/libpoppler-cpp.dll.a
%{mingw64_libdir}/pkgconfig/poppler-cpp.pc


%changelog
* Wed Feb 20 2019 Sandro Mani <manisandro@gmail.com> - 0.62.0-3
- Backport security fix: CVE-2019-7310

* Thu Dec 20 2018 Sandro Mani <manisandro@gmail.com> - 0.62.0-2
- Backport security fixes:
  CVE-2017-18267, CVE-2018-13988, CVE-2018-16646, CVE-2018-19058,
  CVE-2018-19059, CVE-2018-19060, CVE-2018-19149

* Wed Feb 14 2018 Sandro Mani <manisandro@gmail.com> - 0.62.0-1
- Update to 0.62
- Drop qt4 frontend

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.61.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Nov 14 2017 Sandro Mani <manisandro@gmail.com> - 0.61.1-1
- Update to 0.61.1

* Wed Nov 08 2017 Sandro Mani <manisandro@gmail.com> - 0.61.0-1
- Update to 0.61.0

* Sun Oct 08 2017 Sandro Mani <manisandro@gmail.com> - 0.60.1-1
- Update to 0.60.1

* Mon Oct 02 2017 Sandro Mani <manisandro@gmail.com> - 0.59.0-2
- Add patch for CVE-2017-14520 (#1494584)

* Fri Sep 08 2017 Sandro Mani <manisandro@gmail.com> - 0.59.0-1
- Update to 0.59.0

* Fri Aug 04 2017 Sandro Mani <manisandro@gmail.com> - 0.57.0-1
- Update to 0.57.0

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.56.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jul 14 2017 Sandro Mani <manisandro@gmail.com> - 0.56.0-2
- Add patch for CVE-2017-9865 (#1466435)
- Add patch for CVE-2017-7515 (#1459066)

* Mon Jun 26 2017 Sandro Mani <manisandro@gmail.com> - 0.56.0-1
- Update to 0.56.0

* Tue May 30 2017 Sandro Mani <manisandro@gmail.com> - 0.55.0-2
- Add patches for CVE-2017-7511 (#1456829) and CVE-2017-9083 (#1453200)

* Thu May 25 2017 Sandro Mani <manisandro@gmail.com> - 0.55.0-1
- Update to 0.55.0

* Tue Mar 28 2017 Sandro Mani <manisandro@gmail.com> - 0.53.0-1
- Update to 0.53.0

* Sun Feb 19 2017 Sandro Mani <manisandro@gmail.com> - 0.52.0-1
- Update to 0.52.0

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.51.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Jan 22 2017 Sandro Mani <manisandro@gmail.com> - 0.51.0-2
- Rebuild for Qt5-5.7.1

* Mon Jan 16 2017 Sandro Mani <manisandro@gmail.com> - 0.51.0-1
- Update to 0.51.0

* Sat Dec 17 2016 Sandro Mani <manisandro@gmail.com> - 0.50.0-2
- Build against openjpeg2

* Fri Dec 16 2016 Sandro Mani <manisandro@gmail.com> - 0.50.0-1
- Update to 0.50.0

* Wed Nov 23 2016 Sandro Mani <manisandro@gmail.com> - 0.49.0-1
- Update to 0.49.0

* Sat Oct 22 2016 Sandro Mani <manisandro@gmail.com> - 0.48.0-1
- Update to 0.48.0

* Tue Jul 19 2016 Sandro Mani <manisandro@gmail.com> - 0.45.0-1
- Update to 0.45.0

* Tue May 03 2016 Sandro Mani <manisandro@gmail.com> - 0.43.0-1
- Update to 0.43

* Wed Mar 09 2016 Sandro Mani <manisandro@gmail.com> - 0.41.0-1
- Update to 0.41

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.40.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jan 23 2016 Sandro Mani <manisandro@gmail.com> - 0.40.0-1
- Update to 0.40

* Wed Jul 22 2015 Sandro Mani <manisandro@gmail.com> - 0.34.0-1
- Update to 0.34

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.33.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Sandro Mani <manisandro@gmail.com> - 0.33.0-1
- Update to 0.33.0

* Mon May 11 2015 Sandro Mani <manisandro@gmail.com> - 0.30.0-3
- Fix includes listed multiple times
- --enable-xpdf-headers

* Tue Jan 27 2015 Sandro Mani <manisandro@gmail.com> - 0.30.0-2
- Re-enable openjpeg support

* Tue Jan 27 2015 Sandro Mani <manisandro@gmail.com> - 0.30.0-1
- Update to 0.30.0

* Thu Nov 27 2014 Sandro Mani <manisandro@gmail.com> - 0.28.1-1
- Update to 0.28.1

* Mon Sep 29 2014 Sandro Mani <manisandro@gmail.com> - 0.26.5-1
- Update to 0.26.5

* Sat Aug 23 2014 Sandro Mani <manisandro@gmail.com> - 0.26.4-1
- Update to 0.26.4

* Mon Jul 21 2014 Sandro Mani <manisandro@gmail.com> - 0.26.3-1
- Update to 0.26.3

* Thu Jun 19 2014 Sandro Mani <manisandro@gmail.com> - 0.26.2-1
- Update to 0.26.2

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.26.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 26 2014 Sandro Mani <manisandro@gmail.com> - 0.26.1-1
- Update to 0.26.1

* Wed May 14 2014 Sandro Mani <manisandro@gmail.com> - 0.26.0-1
- Update to 0.26.0

* Fri Apr 25 2014 Sandro Mani <manisandro@gmail.com> - 0.24.5-2
- Add poppler_pkgconfig_private_libs.patch

* Fri Jan 03 2014 Sandro Mani <manisandro@gmail.com> - 0.24.5-1
- Update to 0.24.5, fixes #1048203

* Wed Nov 27 2013 Sandro Mani <manisandro@gmail.com> - 0.24.4-1
- Update to 0.24.4

* Mon Oct 28 2013 Sandro Mani <manisandro@gmail.com> - 0.24.3-2
- Add patch to fix Qt5 detection

* Mon Oct 28 2013 Sandro Mani <manisandro@gmail.com> - 0.24.3-1
- Update to 0.24.3

* Mon Sep 30 2013 Sandro Mani <manisandro@gmail.com> - 0.24.2-1
- Update to 0.24.2

* Tue Aug 27 2013 Sandro Mani <manisandro@gmail.com> - 0.24.1-1
- Update to 0.24.1
- Enable qt5 build

* Mon Aug 19 2013 Sandro Mani <manisandro@gmail.com> - 0.24.0-1
- Update to 0.24.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 13 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.22.5-2
- Rebuild against libpng 1.6

* Mon Jun 17 2013 Sandro Mani <manisandro@gmail.com> - 0.22.5-1
- Update to 0.22.5

* Sat May 11 2013 Sandro Mani <manisandro@gmail.com> - 0.22.1-2
- Use versioned BuildRequires for mingw32/64-filesystem
- Remove unused mingw_build_win32/64 macros
- Remove tools subpackage (and do not ship exes)

* Wed May 08 2013 Sandro Mani <manisandro@gmail.com> - 0.22.1-1
- Initial Fedora package
